Bug 112796 - Installer: "Abnormal exit" after package selection
Installer: "Abnormal exit" after package selection
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-01 07:29 EST by Ben Strawson
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-05 11:58:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output from RedHat 9.0 on same machine (5.48 KB, text/plain)
2004-01-09 05:04 EST, Ben Strawson
no flags Details

  None (edit)
Description Ben Strawson 2004-01-01 07:29:10 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.5)
Gecko/20031007 Firebird/0.7

Description of problem:
Trying to install on an Cyrix 6x86 box (as below).  Everything is fine
until after package selection, at which point the installer bails out
and the machine halts.




Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Boot CD
2. Perform media check - passes
3. Language Selection - English (English)
4. Keyboard Configuration - United Kingdom
5. Mouse Configuration - 3 button serial on /dev/ttyS0
6. Monitor Configuration - Generic CRT, 1280x1024
7. Upgrade/Install - Option to upgrade RH 7.3 on /dev/hda1 presented,
but selected new install instead
8. Installation Type - Server
9. Manually Partition with Disc Druid
10. Delete existing partitions and recreate as:
 a. swap, 133MB
 b. mount=/, ext3, 100MB+fill to available size, force primary
 (disc druid sets /dev/hda1 to / of size 4871MB and /dev/hda2 to swap
of size 133MB)
11. Boad Loader Config - Leave as default, GRUB booting Fedora Core
12. Network Configuration - DHCP on eth0 with manual hostname set
13. Firewall Configuration - no firewall (warnings acknowledged)
14. Additional Language Support - Add English (Great Britain) and set
that as default.  English (USA) also left selected.
15. Timezone - Set to Europe/London
16. Root Password Set
17. Package Selection - Packages selected left as default
<installer halts>
  

Actual Results:  Thrown out of graphical installation back to text
console with the following:

install exited abnormally
sending termination signals...done
sending kill signals...done
disabling swap...
unmounting filesystems...
   /mnt/runtime done
   disabling /dev/loop0
   /proc/bus/usb done
   /proc done
   /dev/pts done
   /tmp/ramfs done
   /mnt/source done
you may safely reboot your system

Expected Results:  Magic.

Additional info:

IBM/Cyrix 6x86L-PR200+
128MB RAM
S3 ViRGE (generic)
Fujitsu MPA3052AT HDD (~4-5GB)
IDE CDROM
Comment 1 Jeremy Katz 2004-01-03 15:49:43 EST
Can you boot with 'linux allowcddma' and see if it helps?
Comment 2 Ben Strawson 2004-01-07 16:08:09 EST
No joy - doesn't seem to make any difference.

I tried a network install as well (with the initial boot from CD) and
that has exactly the same problem.
Comment 3 Jeremy Katz 2004-01-07 16:36:12 EST
Could you try running memtest86?  This sounds really bizarre (haven't
heard anything like it and it's not like this is abnormal hardware or
anything like that).
Comment 4 Ben Strawson 2004-01-09 05:04:00 EST
Created attachment 96854 [details]
dmesg output from RedHat 9.0 on same machine

I left memtest86 running overnight - it passed 578 runs with 0 fails.

I've attached the output of dmesg from the same machine, but when it is booted
into RedHat 9.0 (which installed fine).  There is a second (160GB) drive in the
machine (/dev/hdc) which is disabled in the BIOS.  I recently added this and it
works fine in RedHat 9, but I have install problems whether this drive is in
the machine or not.  /dev/hdd is the CDROM - it's just a generic IDE one.
Comment 5 Jeremy Katz 2004-10-05 11:58:03 EDT
Should be better with newer releases.

Note You need to log in before you can comment on or make changes to this bug.